#!HEAD: dcsm-CRCO_HEPE_CHECK2 2024-03-13 09:37:31 428        45 MMO                  DCSM                // BAT Maintenance-1-2         
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # HEP ON START for TL
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # --------------------------------------------------------------------------
8007    # HEP-ele 立ち上げ
8008    # --------------------------------------------------------------------------
8009    #
8010    # # HEP-eleの電源をONする。
8011    #
8012    PCD.ON_OFF_ENA
8013    #
8014    WAIT_SEC 20                   
8015    #
8016    # QL            Check-Item                  Spec　                Check
8017    # -------------+---------------------------+---------------------+------
8018    # PCS1          PCD.ON_OFF_ENA_DIS          ENA                    N/A
8019    # 
8020    PCD.PSU_HEP_e_ON
8021    #
8022    WAIT_SEC 20                   
8023    #
8024    # QL            Check-Item                  Spec　                Check
8025    # -------------+---------------------------+---------------------+------
8026    # PCS1          PCD.PSU_HEP_E_ON_OFF        ON                     N/A
8027    # MD1F_OBS_HK   MD1F.MS6_LINK_STAT          ON                     N/A
8028    # MD1F_OBS_HK   MD1F.MS6_DAT_CLCT           ON                     N/A
8029    #
8030    PCD.ON_OFF_DIS
8031    #
8032    WAIT_SEC 40                   
8033    #
8034    # QL            Check-Item                  Spec　                Check
8035    # -------------+---------------------------+---------------------+------
8036    # PCS1          PCD.ON_OFF_ENA_DIS          DIS                    N/A
8037    # 
8038    #
8039    # # SW Error clear
8040    MD1F.DPU_SW_ERR_CLR
8041    #
8042    WAIT_SEC 60                   
8043    #
8044    # QL            Check-Item                  Spec　                Check
8045    # -------------+---------------------------+---------------------+------
8046    # MD1F_OBS_HK   MD1F.MS6_LINK_ERR           na                     N/A
8047    #               MD1F.SLOT_ERR               na                     N/A
8048    #
8049    # <初期ステータス確認>
8050    #
8051    # < CHECK >
8052    CHECK HEPE.TEMP_MONITOR1                    -15.0 45.0                   
8053    CHECK HEPE.TEMP_MONITOR2                    -15.0 45.0                   
8054    CHECK HEPE.ELE_ION_FL                       =ELE                   
8055    CHECK HEPE.STBY_OBS_F                       =SBY                   
8056    CHECK HEPE.HV_ELE_CTL                       =DIS                   
8057    CHECK HEPE.HE_ELE_DAC                       =OFF                   
8058    # 
8059    # QL            Check-Item                  Spec                      Check
8060    # -------------+---------------------------+-------------------------+------
8061    # MPPE-HEPE1    HV_MONITOR1                 0x0000 or 0x0100           G  N
8062    # 
8063    # --------------------------------------------------------------------------
8064    #  Observation parameter setup
8065    # --------------------------------------------------------------------------
8066    #
8067    # # ASIC 内部レジスタ1～16及びASIC1～9 Disableビット設定
8068    MD1U.HEPE_ASIC_INIT
8069    # 
8070    WAIT_SEC 40                   
8071    # 
8072    # QL            Check-Item                  Spec　                Check
8073    # -------------+---------------------------+---------------------+------
8074    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8075    # 
8076    # # ASIC Gr1レジスタ書込みコマンドﾞ
8077    HEPE.REG_WR_GR1
8078    # 
8079    WAIT_SEC 40                   
8080    # 
8081    # QL            Check-Item                  Spec　                Check
8082    # -------------+---------------------------+---------------------+------
8083    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8084    # 
8085    #
8086    #
8087    # # ASIC Gr2ﾚｼﾞｽﾀ書込みｺﾏﾝﾄﾞ
8088    HEPE.REG_WR_GR2
8089    # 
8090    WAIT_SEC 40                   
8091    # 
8092    # QL            Check-Item                  Spec　                Check
8093    # -------------+---------------------------+---------------------+------
8094    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8095    #
8096    #
8097    #
8098    # # PEAK TIME設定
8099    HEPE.PEAK 0x0003
8100    # 
8101    WAIT_SEC 10                   
8102    # 
8103    # # VFP_Gr1設定
8104    HEPE.ASIC_GR1_VFP 0x0009
8105    # 
8106    WAIT_SEC 10                   
8107    # 
8108    # 
8109    # # VFP_Gr2設定
8110    HEPE.ASIC_GR2_VFP 0x0009
8111    # 
8112    WAIT_SEC 10                   
8113    # 
8114    #  
8115    # # TH_BACK設定
8116    HEPE.TH_BACK 0x1FFF
8117    # 
8118    WAIT_SEC 10                   
8119    # 
8120    # # LOADコマンド送信
8121    HEPE.LOAD_START
8122    WAIT_SEC 10                   
8123    # 
8124    # 
8125    # < CHECK >
8126    CHECK HEPE.PEAK_TIME_VAL                    0x0003                   
8127    CHECK HEPE.ASIC_GR1_VFP_VAL                 0x0009                   
8128    CHECK HEPE.ASIC_GR2_VFP_VAL                 0x0009                   
8129    CHECK HEPE.TH_BACK_VAL                      0x1FFF                   
8130    # 
8131    # QL            Check-Item                  Spec　                Check
8132    # -------------+---------------------------+---------------------+------
8133    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8134    #
8135    # 
8136    # # FIFO_OF_RESETコマンド送信
8137    HEPE.FIFO_OF_RESET
8138    # 
8139    WAIT_SEC 10                   
8140    # 
8141    # QL            Check-Item                  Spec　                Check
8142    # -------------+---------------------------+---------------------+------
8143    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8144    # 
8145    #  # 温度補正テーブル初期化
8146    MD1U.HEPE_TEMP_INIT
8147    #
8148    WAIT_SEC 180                   
8149    # 
8150    # 
8151    # QL            Check-Item                  Spec　                Check
8152    # -------------+---------------------------+---------------------+------
8153    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8154    # HEPE          HEPE.ASIC0_TEMP_COEF        0x0400                 N/A
8155    # HEPE          HEPE.ASIC5_TEMP_COEF        0x0400                 N/A
8156    #
8157    # QL            Check-Item                  Spec　                Check
8158    # -------------+---------------------------+---------------------+------
8159    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8160    # HEPE          HEPE.ASIC1_TEMP_COEF        0x0400                 N/A
8161    # HEPE          HEPE.ASIC6_TEMP_COEF        0x0400                 N/A
8162    # 
8163    #
8164    # QL            Check-Item                  Spec　                Check
8165    # -------------+---------------------------+---------------------+------
8166    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8167    # HEPE          HEPE.ASIC2_TEMP_COEF        0x0400                 N/A
8168    # HEPE          HEPE.ASIC7_TEMP_COEF        0x0400                 N/A
8169    # 
8170    # 
8171    # QL            Check-Item                  Spec　                Check
8172    # -------------+---------------------------+---------------------+------
8173    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8174    # HEPE          HEPE.ASIC3_TEMP_COEF        0x0400                 N/A
8175    # HEPE          HEPE.ASIC8_TEMP_COEF        0x0400                 N/A
8176    # 
8177    # 
8178    # QL            Check-Item                  Spec　                Check
8179    # -------------+---------------------------+---------------------+------
8180    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8181    # HEPE          HEPE.ASIC4_TEMP_COEF         0x0400                N/A
8182    # HEPE          HEPE.ASIC9_TEMP_COEF         0x0400                N/A
8183    # 
8184    #
8185    # # 外部温度モニタ設定レジスタ設定
8186    HEPE.TEMP_MONITOR_SEL 0x0000
8187    # 
8188    WAIT_SEC 10                   
8189    # 
8190    # QL            Check-Item                  Spec　                Check
8191    # -------------+---------------------------+---------------------+------
8192    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8193    # 
8194    # 
8195    # # 温度補正_内部/外部コマンド送信(外部切替)
8196    HEPE.TEMP_CORRECT_EXT
8197    # 
8198    WAIT_SEC 20                   
8199    # 
8200    # QL            Check-Item                  Spec　                Check
8201    # -------------+---------------------------+---------------------+------
8202    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8203    #
8204    # < CHECK >
8205    CHECK HEPE.TEMP_CORRECT                     =EXT                   
8206    #
8207    #
8208    # 
8209    # # 温度補正_内部/外部コマンド送信(内部切替)
8210    HEPE.TEMP_CORRECT_INT
8211    # 
8212    WAIT_SEC 20                   
8213    # 
8214    # QL            Check-Item                  Spec　                Check
8215    # -------------+---------------------------+---------------------+------
8216    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8217    #
8218    # < CHECK >
8219    CHECK HEPE.TEMP_CORRECT                     =INT                   
8220    #
8221    #
8222    # # ビットエラーリセットコマンド送信
8223    HEPE.BIT_ERR_RESET
8224    # 
8225    WAIT_SEC 10                   
8226    # 
8227    # QL            Check-Item                  Spec　                Check
8228    # -------------+---------------------------+---------------------+------
8229    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8230    #               HEPE.BIT1_ERR_CNT           0x0000(注1)            N/A
8231    #               HEPE.BIT2_ERR_CNT           0x0000(注1)            N/A
8232    #    注1) ｺﾏﾝﾄﾞ送信前のｶｳﾝﾀ値が0x0000である場合は、
8233    #         値に変化は無し。
8234    #
8235    #
8236    # # FIFO_RESETコマンド送信
8237    HEPE.FIFO_RESET
8238    WAIT_SEC 10                   
8239    # 
8240    # 
8241    # QL            Check-Item                  Spec　                Check
8242    # -------------+---------------------------+---------------------+------
8243    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8244    #
8245    # 
8246    # 
8247    # # SSDモード切替コマンド送信(SSD/OFF=SSD)
8248    HEPE.SSD_ON
8249    # 
8250    WAIT_SEC 10                   
8251    #  
8252    #
8253    # --------------------------------------------------------------------------
8254    #  CAL データ取得
8255    # --------------------------------------------------------------------------
8256    #
8257    # # CAL_DAC設定
8258    HEPE.CAL_DAC 0x0020
8259    # 
8260    WAIT_SEC 20                   
8261    # 
8262    # QL            Check-Item                  Spec　                Check
8263    # -------------+---------------------------+---------------------+------
8264    # HEPE          HEPE.CMD_BUF_WR_CNT         ｲﾝｸﾘﾒﾝﾄされていること  N/A
8265    # 
8266    # < CHECK >
8267    CHECK HEPE.CAL_DAC_VAL                      0x0020                   
8268    # 
8269    # 
8270    # # CAL_ASIC_ID設定 Gr1
8271    HEPE.CAL_ASIC_ID 0x0000
8272    # 
8273    WAIT_SEC 20                   
8274    # 
8275    # < CHECK >
8276    CHECK HEPE.CAL_ASIC_ID_VAL                  0x0000                   
8277    #
8278    # 40sec待機（処理時間）
8279    WAIT_SEC 40                   
8280    #
8281    # # CAL_ASIC_ID設定 Gr1
8282    HEPE.CAL_ASIC_ID 0x0001
8283    # 
8284    WAIT_SEC 20                   
8285    # 
8286    # < CHECK >
8287    CHECK HEPE.CAL_ASIC_ID_VAL                  0x0001                   
8288    #
8289    # 40sec待機（処理時間）
8290    WAIT_SEC 40                   
8291    #
8292    # # CAL_ASIC_ID設定 Gr1
8293    HEPE.CAL_ASIC_ID 0x0002
8294    # 
8295    WAIT_SEC 20                   
8296    # 
8297    # < CHECK >
8298    CHECK HEPE.CAL_ASIC_ID_VAL                  0x0002                   
8299    #
8300    # 40sec待機（処理時間）
8301    WAIT_SEC 40                   
8302    #
8303    # # CAL_ASIC_ID設定 Gr1
8304    HEPE.CAL_ASIC_ID 0x0003
8305    # 
8306    WAIT_SEC 20                   
8307    # 
8308    # < CHECK >
8309    CHECK HEPE.CAL_ASIC_ID_VAL                  0x0003                   
8310    #
8311    # 40sec待機（処理時間）
8312    WAIT_SEC 40                   
8313    #
8314    # # CAL_ASIC_ID設定 Gr1
8315    HEPE.CAL_ASIC_ID 0x0004
8316    # 
8317    WAIT_SEC 20                   
8318    # 
8319    # < CHECK >
8320    CHECK HEPE.CAL_ASIC_ID_VAL                  0x0004                   
8321    #
8322    # 40sec待機（処理時間）
8323    WAIT_SEC 40                   
8324    #
8325    #
8326    # 
8327    # # FIFO_RESETコマンド送信
8328    HEPE.FIFO_RESET
8329    WAIT_SEC 10                   
8330    # 
8331    #  HEP START ON sequence END
8332    # ***********************************************************
8333    # 【CAL終了 通常観測モードへ】
8334    #
8335    #
8336    # 
8337    # # SSDモード切替コマンド送信(SSD/OFF=OFF)
8338    HEPE.SSD_OFF
8339    # 
8340    WAIT_SEC 20                   
8341    #
8342    #   HEP On and Start sequnce END
8343    # ********************************************
8344    #
8345    # 
8346    # # SSDモード切替コマンド送信(SSD/OFF=SSD)
8347    HEPE.SSD_ON
8348    # 
8349    WAIT_SEC 10                   
8350    #  
8351    CHECK      HEPE.CMD_BUF_WR_CNT     -                   
8352    #
8353    # 
8354    # 
8355    # # 測定モード切替コマンド送信(STBY/START=START)
8356    HEPE.OBS_START
8357    # 
8358    WAIT_SEC 10                   
8359    #  
8360    CHECK      HEPE.CMD_BUF_WR_CNT     -                   
8361    CHECK HEPE.SSD_OFF_FL                       =OBS                   
8362    CHECK HEPE.STBY_OBS_F                       =OBS                   
8363    #
8364    #
8365    #   Observation START 
8366    #  *********************************************************
8367    WAIT_SEC 400                   
8368    #
8369    #   Observation STOP
8370    # 
8371    # # 測定モード切替コマンド送信(STBY/START=STBY)
8372    HEPE.OBS_STBY
8373    # 
8374    WAIT_SEC 10                   
8375    # 
8376    # 
8377    # < CHECK >
8378    CHECK HEPE.STBY_OBS_F                       =SBY                   
8379    # 
8380    # # SSDモード切替コマンド送信(SSD/OFF=OFF)
8381    HEPE.SSD_OFF
8382    # 
8383    WAIT_SEC 10                   
8384    # 
8385    #
8386    # ==========================================================================
8387    # HEP-ele  POWER OFF
8388    # ==========================================================================
8389    #
8390    #
8391    MD1F.HEPE_CLCT_STOP
8392    #
8393    WAIT_SEC 20                   
8394    #
8395    # QL            Check-Item                  Spec｡｡                Check
8396    # -------------+---------------------------+---------------------+------
8397    # MD1F_OBS_HK   MD1F.MS6_DAT_CLCT           OFF                    N/A
8398    #
8399    PCD.ON_OFF_ENA
8400    #
8401    WAIT_SEC 20                   
8402    #
8403    # QL            Check-Item                  Spec｡｡                Check
8404    # -------------+---------------------------+---------------------+------
8405    # PCS1          PCD.ON_OFF_ENA_DIS          ENA                    N/A
8406    #
8407    PCD.PSU_HEP_e_OFF
8408    #
8409    WAIT_SEC 20                   
8410    #
8411    # QL            Check-Item                  Spec｡｡                Check
8412    # -------------+---------------------------+---------------------+------
8413    # PCS1          PCD.PSU_HEP_E_ON_OFF        OFF                    N/A
8414    #
8415    PCD.ON_OFF_DIS
8416    #
8417    WAIT_SEC 10                   
8418    #
8419    # QL            Check-Item                  Spec｡｡                Check
8420    # -------------+---------------------------+---------------------+------
8421    # PCS1          PCD.ON_OFF_ENA_DIS          DIS                    N/A
8422    #
8423    # **************************************************************************
8424    #                                  HEP-ele ｽｪﾎｻ
8425    # **************************************************************************
8426    #
8427    #
8428    EXIT                   
