#!HEAD: dcsm-CRCO_MACRO_UPLOAD 2025-03-05 04:04:17 207        45 MMO                  DCSM                // TBL_LOAD for MMO-SIM        
8001    #
8002    #
8003    # ==========================================================================
8004    #  1.. テーブル自動更新DIS
8005    # ==========================================================================
8006    #
8007    DH.TBL_ROMUPD_DIS
8008    #
8009    WAIT_SEC 40
8010    # ==========================================================================
8011    #  2.1. TBL_LOAD
8012    # ==========================================================================
8013    #
8014    #
8015    DH.ALL_MC_STOP
8016    #
8017    WAIT_SEC 2
8018    #
8019    DH.ATMC_DIS
8020    #
8021    WAIT_SEC 2
8022    #
8023    DH.SYSTMR_DIS
8024    #
8025    WAIT_SEC 2
8026    #
8027    DH.RQMC_DIS
8028    #
8029    WAIT_SEC 7
8030    #
8031    #
8032    # < CHECK >
8033    CHECK DH.MC_ENA_DIS                         =DIS
8034    CHECK DH.ATMC_ENA_DIS                       =DIS
8035    CHECK DH.SYSTMR_ENA_DIS                     =DIS
8036    CHECK DH.RQMC_ENA_DIS                       =DIS
8037    #
8038    #
8039    #
8040    # --------------------------------------------------------------------------
8041    #  2.1.1. MC-L_LOAD/DUMP：必要に応じて
8042    # --------------------------------------------------------------------------
8043    #
8044    #
8045    LOAD mc-MC-L_EEPROM   # Ver5.46
8046    #
8047    WAIT_SEC 10
8048    #
8049    # -<< MC TABLE Copy >>-
8050    #
8051    # ※"RUNNING"は確認できない可能性有。コマンド送信20秒後に"STOP"であれ
8052    #   ば、合格とする。
8053    #
8054    DH.MC_TBL_CPY
8055    #
8056    WAIT_SEC 40
8057    ##
8058    # QL         Check-Item               Spec                      Check
8059    # ----------+------------------------+-------------------------+------
8060    # DH1        DH.MC_CPY_REQ            RUNNING->STOP              G  N
8061    #
8062    # <CHECK>
8063    CHECK DH.MC_FMT_ERR                        =OK
8064    CHECK DH.MC_SUM_STAT                       =OK
8065    #
8066    #
8067    # --------------------------------------------------------------------------
8068    #  2.1.2. AT_LOAD/DUMP：必要に応じて
8069    # --------------------------------------------------------------------------
8070    #
8071    #
8072    LOAD mc-AT_EEPROM  :AT_EEPROM       # AT Ver.5.46
8073    #
8074    WAIT_SEC 10
8075    #
8076    # -<< ATMC TABLE Copy >>-
8077    #
8078    # ※"RUNNING"は確認できない可能性有。コマンド送信20秒後に"STOP"であれ
8079    #   ば、合格とする。
0103    #
0104    # 2025/3/14 追加    COPYを確認できる確率を上げる
0105    # MMO Set HK rate to 1 second   (3sec)
0106    # <forMPO>AJXF004A</forMPO>
0107    WAIT_SEC             30
8080    #
8081    DH.ATMC_CPY
8082    #
8083    WAIT_SEC 40
8084    # QL         Check-Item               Spec                      Check
8085    # ----------+------------------------+-------------------------+------
8086    # DH1        DH.ATMC_CPY_REQ          RUNNING->STOP              G  N
8087    #
8088    # <CHECK>
8089    CHECK DH.ATMC_FMT_ERR                      =OK
8090    CHECK DH.ATMC_SUM_STAT                     =OK
8091    #
0025    #  2025/3/14 追加
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO>
0028    WAIT_SEC              30
8092    #
8093    #
8094    # --------------------------------------------------------------------------
8095    #  2.1.3. MC-S_LOAD/DUMP：必要に応じて
8096    # --------------------------------------------------------------------------
8097    #
8098    LOAD mc-MC-S_EEPROM :MC-S_EEPROM # MC-S Ver.5.46
8099    #
8100    #
8101    WAIT_SEC 10
8102    #
8103    # -<< MC TABLE Copy >>-
8104    #
8105    # ※"RUNNING"は確認できない可能性有。コマンド送信20秒後に"STOP"であれ
8106    #   ば、合格とする。
0103    #
0104    # 2025/3/14 追加    COPYを確認できる確率を上げる
0105    # MMO Set HK rate to 1 second   (3sec)
0106    # <forMPO>AJXF004A</forMPO>
0107    WAIT_SEC             30
8107    #
8108    DH.MC_TBL_CPY
8109    #
8110    WAIT_SEC 40
8111    #
8112    # QL         Check-Item               Spec                      Check
8113    # ----------+------------------------+-------------------------+------
8114    # DH1        DH.MC_CPY_REQ            RUNNING->STOP              G  N
8115    #
8116    # <CHECK>
8117    CHECK DH.MC_FMT_ERR                        =OK
8118    CHECK DH.MC_SUM_STAT                       =OK
8119    #
0025    #  2025/3/14 追加
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO>
0028    WAIT_SEC              30
8120    #
8121    # --------------------------------------------------------------------------
8122    #  2.1.4. RQ_LOAD/DUMP：必要に応じて(見直し中であるため要相談)
8123    # --------------------------------------------------------------------------
8124    #
8125    LOAD mc-RQ_EEPROM :RQ_EEPROM   # RQ  Ver.5.46
8126    #
8127    WAIT_SEC 10
8128    #
8129    #
8130    # -<< RQ TABLE Copy >>-
0103    #
0104    # 2025/3/14 追加    COPYを確認できる確率を上げる
0105    # MMO Set HK rate to 1 second   (3sec)
0106    # <forMPO>AJXF004A</forMPO>
0107    WAIT_SEC             30
8131    #
8132    DH.RQMC_CPY
8133    #
8134    WAIT_SEC 40
8135    #
8136    # QL         Check-Item               Spec                      Check
8137    # ----------+------------------------+-------------------------+------
8138    # DH1        DH.RQMC_CPY_REQ          RUNNING->STOP              G  N
8139    #
8140    # <CHECK>
8141    CHECK DH.RQMC_FMT_ERR =OK
8142    CHECK DH.RQMC_SUM_STAT =OK
8143    #
0025    #  2025/3/14 追加
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO>
0028    WAIT_SEC              30
8144    #
8145    # --------------------------------------------------------------------------
8146    #  2.1.5. SYSTMR_LOAD/DUMP：必要に応じて(見直し中であるため要相談)
8147    # --------------------------------------------------------------------------
8148    #
8149    LOAD mc-ST_EEPROM :ST_EEPROM 最適化OF          # Ver.5.46
8150    #
8151    WAIT_SEC 10
8152    #
8153    #
8154    #
8155    # -<< MC TABLE Copy >>-
8156    #
8157    # ※"RUNNING"は確認できない可能性有。コマンド送信20秒後に"STOP"であれ
8158    #   ば、合格とする。
0103    #
0104    # 2025/3/14 追加    COPYを確認できる確率を上げる
0105    # MMO Set HK rate to 1 second   (3sec)
0106    # <forMPO>AJXF004A</forMPO>
0107    WAIT_SEC             30
8159    #
8160    DH.SYSTMR_CPY
8161    #
8162    WAIT_SEC 40
8163    #
8164    # QL         Check-Item               Spec                      Check
8165    # ----------+------------------------+-------------------------+------
8166    # DH1        DH.SYSTMR_CPY_REQ        RUNNING->STOP              G  N
8167    #
8168    # <CHECK>
8169    CHECK DH.SYSTMR_FMT_ERR =OK
8170    CHECK DH.SYSTMR_SUM_STAT =OK
8171    #
0025    #  2025/3/14 追加
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO>
0028    WAIT_SEC              30
8172    #
8173    #
8174    # ==========================================================================
8175    #  2.2. MC_ENA
8176    # ==========================================================================
8177    #
8178    # # MC機能をENAにする
8179    DH.MC_START
8180    #
8181    WAIT_SEC 2
8182    #
8183    # # AT機能をENAにする
8184    DH.ATMC_ENA
8185    #
8186    WAIT_SEC 7
8187    #
8188    # # システムタイマー機能を有効にする。
8189    ###DH.SYSTMR_ENA
8190    #
8191    ###WAITSEC 2
8192    #
8193    # # RQ waiting に設定する。
8194    ###DH.RQMC_ENA
8195    #
8196    ###WAITSEC 7
8197    #
8198    # < CHECK >
8199    CHECK DH.MC_ENA_DIS                         =ENA
8200    CHECK DH.ATMC_ENA_DIS                       =ENA
8201    ###CHECK DH.SYSTMR_ENA_DIS                     =ENA
8202    ###CHECK DH.RQMC_ENA_DIS                       =ENA
8203    #
8204    # --------------------------------------------------------------------------
8205    # END
8206    # --------------------------------------------------------------------------
8207    EXIT