#!HEAD: dcsm-CRCO_MDM_CHECK 2022-04-14 15:12:05 428        45 MMO                  DCSM                // BAT Maintenance-1-2          
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 9.MDM
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # =====================================================================
8007    #  9.1. MDM Initial Power ON
8008    # =====================================================================
8009    # MDMショートバッファーへ変更
8010    MD2U.BUF_SHORT 0x0E
8011    #
8012    WAIT_SEC 40                   
8013    #
8014    # MDM-Eの電源をONする。
8015    #
8016    PCD.ON_OFF_ENA
8017    #
8018    WAIT_SEC 40                   
8019    #                   
8020    CHECK PCD.ON_OFF_ENA_DIS                    =ENA                   
8021    # 
8022    PCD.MDM_E_ON
8023    #                   
8024    WAIT_SEC 40                   
8025    #
8026    CHECK PCD.MDM_E_ON_OFF                      =ON                   
8027    #
8028    PCD.ON_OFF_DIS
8029    #                   
8030    WAIT_SEC 40                   
8031    #
8032    CHECK PCD.ON_OFF_ENA_DIS                    =DIS                   
8033    #
8034    # SW Error clear
8035    MD2F.DPU_SW_ERR_CLR
8036    WAIT_SEC 2                   
8037    MD1F.DPU_SW_ERR_CLR
8038    WAIT_SEC 40                   
8039    #                   
8040    # Spacewire LINK確立の確認(MDP〜MDM-E間)
8041    # QL            Check-Item            Spec　                   Check
8042    # -------------+---------------------+------------------------+-------
8043    # MD2F OBS HK   MD2F.MS7_LINK_STAT    ON                        N/A
8044    #               (MDM LINK STAT)
8045    #               MD2F.MS7_LINK_ERR     na                        N/A
8046    #               MD2F.SLOT_ERR         na                        N/A
8047    #               MD2F.MS7_DAT_CLCT     ON                        N/A
8048    # =====================================================================
8049    #  9.2. MDM Initial check
8050    # =====================================================================
8051    #
8052    # MDM内部のチェックが終って通常観測モードに移行するのを待つ、120秒間
8053    # 
8054    WAIT_SEC 120                   
8055    #
8056    # 自動ディスクリ設定機能確認
8057    # 下記コマンド送信後1分以内にHK画面のステータス確認を行う
8058    MDM.MDM_DISCRI1_AUTO
8059    WAIT_SEC 240                   
8060    #
8061    # < CHECK >
8062    CHECK MDM.MDM_DAUTO                         =ON                   
8063    #
8064    # 上記コマンドを送信して4分経過後に以下のステータス確認を行う
8065    # 
8066    #                   
8067    # QL         Check-Item               Spec　                    Check
8068    # ----------+------------------------+-------------------------+------
8069    # MDM        MDM_DAUTO                OFF                        N/A
8070    # MDM        MDM_TRIG                 MODE1                      N/A
8071    # MDM        MDM_OBS                  MODE1                      N/A
8072    # MDM        MDM_DISCRI1              0x01〜0x40                 N/A
8073    # 
8074    # 
8075    # =====================================================================
8076    #  9.3. Function check
8077    # =====================================================================
8078    #
8079    #
8080    # (1) 観測モード変更機能確認
8081    #
8082    # スタンバイの設定確認
8083    MDM.MDM_OBS_STBY
8084    WAIT_SEC 40                   
8085    # QL         Check-Item               Spec　                    Check
8086    # ----------+------------------------+-------------------------+------
8087    # MDM        MDM_OBS                  STBY                       N/A
8088    # 
8089    # 観測モード２の設定確認
8090    MDM.MDM_OBS_MODE2
8091    WAIT_SEC 40                   
8092    # QL         Check-Item               Spec　                    Check
8093    # ----------+------------------------+-------------------------+------
8094    # MDM        MDM_OBS                  MODE2                      N/A
8095    #
8096    # 観測モード１の設定確認
8097    MDM.MDM_OBS_MODE1
8098    WAIT_SEC 40                   
8099    # QL         Check-Item               Spec　                    Check
8100    # ----------+------------------------+-------------------------+------
8101    # MDM        MDM_OBS                  MODE1                      N/A
8102    #
8103    # 
8104    # (4) トリガーモード選択機能確認
8105    # 
8106    # トリガーモード3の設定確認
8107    MDM.MDM_TRIG_MODE3
8108    WAIT_SEC 40                   
8109    # QL         Check-Item               Spec　                    Check
8110    # ----------+------------------------+-------------------------+------
8111    # MDM        MDM_TRIG                 MODE3                      N/A
8112    # 
8113    # トリガーモード2の設定確認
8114    MDM.MDM_TRIG_MODE2
8115    WAIT_SEC 40                   
8116    # QL         Check-Item               Spec　                    Check
8117    # ----------+------------------------+-------------------------+------
8118    # MDM        MDM_TRIG                 MODE2                      N/A
8119    # 
8120    # (5) キャリブレーション機能確認
8121    # CAL-ONの設定確認
8122    MDM.MDM_CAL_ON
8123    WAIT_SEC 30                   
8124    # QL         Check-Item               Spec　                    Check
8125    # ----------+------------------------+-------------------------+------
8126    # MDM        MDM_CAL                  ON                         N/A
8127    # 
8128    # MISSION画面でデータ確認
8129    # QL         Check-Item               Spec　                    Check
8130    # ----------+------------------------+-------------------------+------
8131    # MDM        MDM_OBS_DATA             0x01                       N/A
8132    # MDM        MDM_OBS_INFO             -                          N/A
8133    # MDM        MDM_TRIG_DATA            0x01                       N/A
8134    # MDM        MDM_TRIG_INFO            0x0F                       N/A
8135    # 
8136    # CAL-OFFの設定確認
8137    MDM.MDM_CAL_OFF
8138    WAIT_SEC 60                   
8139    # QL         Check-Item               Spec　                    Check
8140    # ----------+------------------------+-------------------------+------
8141    # MDM        MDM_CAL                  OFF                        N/A
8142    # 
8143    #
8144    # (6) オートディスクリ機能確認
8145    #
8146    # 観測前に下記コマンド送信後1分以内にHK画面のステータス確認を行う
8147    MDM.MDM_DISCRI1_AUTO
8148    WAIT_SEC 40                   
8149    #                   
8150    # QL         Check-Item               Spec　                    Check
8151    # ----------+------------------------+-------------------------+------
8152    # MDM        MDM_DAUTO                 ON                        N/A
8153    # 
8154    # 上記コマンドを送信して4分経過後に以下のステータス確認を行う
8155    # 
8156    WAIT_SEC 200                   
8157    #                   
8158    # QL         Check-Item               Spec　                    Check
8159    # ----------+------------------------+-------------------------+------
8160    # MDM        MDM_DAUTO                OFF                        N/A
8161    # MDM        MDM_TRIG                 MODE1                      N/A
8162    # MDM        MDM_OBS                  MODE1                      N/A
8163    # MDM        MDM_DISCRI1              0x01〜0x40                 N/A
8164    # 
8165    # ミッションデータの中身をMDMチームが確認する。
8166    #
8167    #
8168    # (9) サンプリングクロック周波数セット機能確認
8169    # 
8170    #　### サンプリングクロック変更テスト手順開始、ここから
8171    # 
8172    # サンプリングクロック周波数セット（パターン１）
8173    MDM.MDM_MES_CLK_SET  0x07
8174    WAIT_SEC 40                   
8175    # QL         Check-Item               Spec　                    Check
8176    # ----------+------------------------+-------------------------+------
8177    # MDM        MDM_ACLK                 0x07                       N/A
8178    #
8179    # テストパルス発生
8180    # CAL-ONの設定確認
8181    MDM.MDM_CAL_ON
8182    WAIT_SEC 2                   
8183    # QL         Check-Item               Spec　                    Check
8184    # ----------+------------------------+-------------------------+------
8185    # MDM        MDM_CAL                  ON                         N/A
8186    # 
8187    # 
8188    # CAL-OFFの設定確認
8189    MDM.MDM_CAL_OFF
8190    WAIT_SEC 60                   
8191    # QL         Check-Item               Spec　                    Check
8192    # ----------+------------------------+-------------------------+------
8193    # MDM        MDM_CAL                  OFF                        N/A
8194    #
8195    #
8196    # サンプリングクロック周波数セット（パターン２）
8197    MDM.MDM_MES_CLK_SET  0x06
8198    WAIT_SEC 40                   
8199    # QL         Check-Item               Spec　                    Check
8200    # ----------+------------------------+-------------------------+------
8201    # MDM        MDM_ACLK                 0x06                       N/A
8202    #
8203    # テストパルス発生
8204    # CAL-ONの設定確認
8205    MDM.MDM_CAL_ON
8206    WAIT_SEC 2                   
8207    # QL         Check-Item               Spec　                    Check
8208    # ----------+------------------------+-------------------------+------
8209    # MDM        MDM_CAL                  ON                         N/A
8210    # 
8211    # 
8212    # CAL-OFFの設定確認
8213    MDM.MDM_CAL_OFF
8214    WAIT_SEC 60                   
8215    # QL         Check-Item               Spec　                    Check
8216    # ----------+------------------------+-------------------------+------
8217    # MDM        MDM_CAL                  OFF                        N/A
8218    #
8219    # サンプリングクロック周波数セット（パターン３）
8220    MDM.MDM_MES_CLK_SET  0x05
8221    WAIT_SEC 40                   
8222    # QL         Check-Item               Spec　                    Check
8223    # ----------+------------------------+-------------------------+------
8224    # MDM        MDM_ACLK                 0x05                       N/A
8225    #
8226    # テストパルス発生
8227    # CAL-ONの設定確認
8228    MDM.MDM_CAL_ON
8229    WAIT_SEC 2                   
8230    # QL         Check-Item               Spec　                    Check
8231    # ----------+------------------------+-------------------------+------
8232    # MDM        MDM_CAL                  ON                         N/A
8233    # 
8234    # 
8235    # CAL-OFFの設定確認
8236    MDM.MDM_CAL_OFF
8237    WAIT_SEC 60                   
8238    # QL         Check-Item               Spec　                    Check
8239    # ----------+------------------------+-------------------------+------
8240    # MDM        MDM_CAL                  OFF                        N/A
8241    #
8242    # サンプリングクロック周波数セット（パターン４）
8243    MDM.MDM_MES_CLK_SET  0x04
8244    WAIT_SEC 40                   
8245    # QL         Check-Item               Spec　                    Check
8246    # ----------+------------------------+-------------------------+------
8247    # MDM        MDM_ACLK                 0x04                       N/A
8248    #
8249    # テストパルス発生
8250    # CAL-ONの設定確認
8251    MDM.MDM_CAL_ON
8252    WAIT_SEC 2                   
8253    # QL         Check-Item               Spec　                    Check
8254    # ----------+------------------------+-------------------------+------
8255    # MDM        MDM_CAL                  ON                         N/A
8256    # 
8257    # 
8258    # CAL-OFFの設定確認
8259    MDM.MDM_CAL_OFF
8260    WAIT_SEC 60                   
8261    # QL         Check-Item               Spec　                    Check
8262    # ----------+------------------------+-------------------------+------
8263    # MDM        MDM_CAL                  OFF                        N/A
8264    #
8265    # サンプリングクロック周波数セット（パターン５）
8266    MDM.MDM_MES_CLK_SET  0x03
8267    WAIT_SEC 40                   
8268    # QL         Check-Item               Spec　                    Check
8269    # ----------+------------------------+-------------------------+------
8270    # MDM        MDM_ACLK                 0x03                       N/A
8271    #
8272    # テストパルス発生
8273    # CAL-ONの設定確認
8274    MDM.MDM_CAL_ON
8275    WAIT_SEC 2                   
8276    # QL         Check-Item               Spec　                    Check
8277    # ----------+------------------------+-------------------------+------
8278    # MDM        MDM_CAL                  ON                         N/A
8279    # 
8280    # 
8281    # CAL-OFFの設定確認
8282    MDM.MDM_CAL_OFF
8283    WAIT_SEC 60                   
8284    # QL         Check-Item               Spec　                    Check
8285    # ----------+------------------------+-------------------------+------
8286    # MDM        MDM_CAL                  OFF                        N/A
8287    #
8288    # サンプリングクロック周波数セット（パターン６）
8289    MDM.MDM_MES_CLK_SET  0x02
8290    WAIT_SEC 40                   
8291    # QL         Check-Item               Spec　                    Check
8292    # ----------+------------------------+-------------------------+------
8293    # MDM        MDM_ACLK                 0x02                       N/A
8294    #
8295    # テストパルス発生
8296    # CAL-ONの設定確認
8297    MDM.MDM_CAL_ON
8298    WAIT_SEC 2                   
8299    # QL         Check-Item               Spec　                    Check
8300    # ----------+------------------------+-------------------------+------
8301    # MDM        MDM_CAL                  ON                         N/A
8302    # 
8303    # 
8304    # CAL-OFFの設定確認
8305    MDM.MDM_CAL_OFF
8306    WAIT_SEC 60                   
8307    # QL         Check-Item               Spec　                    Check
8308    # ----------+------------------------+-------------------------+------
8309    # MDM        MDM_CAL                  OFF                        N/A
8310    #
8311    # サンプリングクロック周波数セット（パターン７）
8312    MDM.MDM_MES_CLK_SET  0x01
8313    WAIT_SEC 40                   
8314    # QL         Check-Item               Spec　                    Check
8315    # ----------+------------------------+-------------------------+------
8316    # MDM        MDM_ACLK                 0x01                       N/A
8317    #
8318    # テストパルス発生
8319    # CAL-ONの設定確認
8320    MDM.MDM_CAL_ON
8321    WAIT_SEC 2                   
8322    # QL         Check-Item               Spec　                    Check
8323    # ----------+------------------------+-------------------------+------
8324    # MDM        MDM_CAL                  ON                         N/A
8325    # 
8326    # 
8327    # CAL-OFFの設定確認
8328    MDM.MDM_CAL_OFF
8329    WAIT_SEC 60                   
8330    # QL         Check-Item               Spec　                    Check
8331    # ----------+------------------------+-------------------------+------
8332    # MDM        MDM_CAL                  OFF                        N/A
8333    #
8334    # サンプリングクロック周波数セット（パターン８）
8335    MDM.MDM_MES_CLK_SET  0x00
8336    WAIT_SEC 40                   
8337    # QL         Check-Item               Spec　                    Check
8338    # ----------+------------------------+-------------------------+------
8339    # MDM        MDM_ACLK                 0x00                       N/A
8340    #
8341    # テストパルス発生
8342    # CAL-ONの設定確認
8343    MDM.MDM_CAL_ON
8344    WAIT_SEC 2                   
8345    # QL         Check-Item               Spec　                    Check
8346    # ----------+------------------------+-------------------------+------
8347    # MDM        MDM_CAL                  ON                         N/A
8348    # 
8349    # 
8350    # CAL-OFFの設定確認
8351    MDM.MDM_CAL_OFF
8352    WAIT_SEC 60                   
8353    # QL         Check-Item               Spec　                    Check
8354    # ----------+------------------------+-------------------------+------
8355    # MDM        MDM_CAL                  OFF                        N/A
8356    #
8357    #
8358    #
8359    # (10) サンプリングクロック周波数初期化
8360    # 
8361    # サンプリングクロック周波数の変更
8362    MDM.MDM_MES_CLK_SET  0x01
8363    WAIT_SEC 40                   
8364    #                   
8365    # QL         Check-Item               Spec　                    Check
8366    # ----------+------------------------+-------------------------+------
8367    # MDM        MDM_ACLK                 0x01                       N/A
8368    # 
8369    #
8370    #　### サンプリングクロック変更テスト手順終了、ここまで
8371    #
8372    #
8373    #
8374    #
8375    #
8376    #
8377    #
8378    #
8379    #
8380    #
8381    #
8382    # =====================================================================
8383    #  9.4. MDM commissioning end
8384    # =====================================================================
8385    #
8386    # MDMからMission Data収集停止
8387    MD2F.MDM_CLCT_STOP
8388    WAIT_SEC 40                   
8389    #                   
8390    # QL         Check-Item               Spec                     Check
8391    # ----------+------------------------+------------------------+-------
8392    # MD2F OBS HK  MD2F.MS7_DAT_CLCT      OFF                       N/A
8393    #
8394    # 
8395    #
8396    # MDM-Eを立ち下げる
8397    PCD.ON_OFF_ENA
8398    WAIT_SEC 40                   
8399    # QL         Check-Item               Spec　                   Check
8400    # ----------+------------------------+------------------------+-------
8401    # PCS1       PCD.ON/OFF_ENA/DIS       ENA                       N/A
8402    # 
8403    #
8404    #
8405    #
8406    #
8407    # 
8408    # 
8409    PCD.MDM_E_OFF
8410    WAIT_SEC 40                   
8411    # QL         Check-Item               Spec　                   Check
8412    # ----------+------------------------+------------------------+-------
8413    # PCS1       PCD.PSU_MDM_E_ON_OFF      OFF                      N/A
8414    #
8415    # # Spacewire LINK 切断を確認(MDP〜MDM間)
8416    #
8417    # QL            Check-Item            Spec　                   Check
8418    # -------------+---------------------+------------------------+-------
8419    # MD2F OBS HK   MD2F.MS71_LINK_STAT    OFF                      N/A
8420    #               (MDM LINK STAT)
8421    #
8422    PCD.ON_OFF_DIS
8423    WAIT_SEC 40                   
8424    # QL         Check-Item               Spec　                   Check
8425    # ----------+------------------------+------------------------+-------
8426    # PCS1       PCD.ON/OFF_ENA/DIS       DIS                       N/A
8427    # 
8428    EXIT                   
