#!HEAD: dcsm-CRCO_PWI_CHECK_2 2024-02-16 05:18:39 689        45 MMO                  DCSM                // PWI CRCO                    
8001    # MMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMM
8002    #  
8003    # 5.PWI
8004    #  
8005    # MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMOMMMMM
8006    # ==========================================================================
8007    #  5.1. Turn on the PWI except the MEFISTO
8008    # ==========================================================================
8009    #
8010    #
8011    DH.PWI1_ON # DH.MC_EACH_EXE 0x0096
8012    # MD2F.PME_EWO_ON
8013    # MD2F.PME_SORBET_ON
8014    # MD2F.PME_AM2P_ON
8015    # EWO.WPTP_ON
8016    # EWO.SCP_ON
8017    # MD2F.DPU_SW_ERR_CLR
8018    # MD2U.BUF_CLCT 0x10 0x00
8019    # MD2U.EWO_HW_INIT
8020    # 
8021    #
8022    # ++++++++++++++++++++++++++++++++++++
8023    WAIT_SEC 120                   
8024    # ++++++++++++++++++++++++++++++++++++
8025    #
8026    # QL         Check-Item               Spec　                    判  定
8027    # ----------+------------------------+-------------------------+------
8028    # MD2F       MD2F.PME_EWO_STS         ON                         N/A
8029    # MD2F_OBS   MD2F.PME_SORBET_STS      ON                    
8030    # MD2F_OBS   MD2F.PME_AM2P_STS        ON                    
8031    # MD2F_OBS   MD2F.MS1_LINK_STAT       ON                    
8032    # MD2F_OBS   MD2F.MS1_LINK_ERR        na                    
8033    # MD2F_OBS   MD2F.MS1_DAT_CLCT        ON                    
8034    # MD2F_OBS   MD2F.MS3_LINK_STAT       ON                    
8035    # MD2F_OBS   MD2F.MS3_LINK_ERR        na                    
8036    # EWO        EWO.WPTP_ONOF            ON                    
8037    # EWO        EWO.SCP_ONOF             ON                    
8038    #
8039    # EWO        WPT PREAMP CAL/IMP         R10M                     N/A
8040    # EWO        BIAS SWEEP COUNT           0x1                      N/A
8041    #
8042    MD2U.BUF_CLCT 0x10 0x01
8043    #
8044    # ++++++++++++++++++++++++++++++++++++
8045    WAIT_SEC 40                   
8046    # ++++++++++++++++++++++++++++++++++++
8047    #
8048    #
8049    # QL         Check-Item                 Spec　                  判  定
8050    # ----------+--------------------------+-----------------------+------
8051    # EWO        DATA COMPRESSION LM        ZERO                      N/A
8052    #
8053    #
8054    # <EFD Filter mode  (SOR:5sec-int,  EFD-L:4sec-int, Ave)>
8055    MD2U.EFD_FILTER_MODE 0x10
8056    #
8057    #
8058    # ++++++++++++++++++++++++++++++++++++
8059    WAIT_SEC 40                   
8060    # ++++++++++++++++++++++++++++++++++++
8061    # QL         Check-Item               Spec                     
8062    # ----------+------------------------+-------------------------
8063    # EWO        EWO.WPTP_ONOF            ON
8064    # EWO        EWO.WPTP_GAIN            LOW
8065    # EWO        EWO.WPTP_BIAS_ONOF       ON
8066    # EWO        EWO.WPTP_BIAS_CAL        BIAS
8067    # EWO        EWO.WPTP_CAL_ONOF        OFF
8068    # EWO        EWO.WPTP_CAL_IMP         R10M
8069    # EWO        EWO.SCP_ONOF             ON
8070    # EWO        EWO.SCP_CAL_STS          OFF
8071    # EWO        EWO.EFD_SYNC_STS         EWO
8072    # EWO        EWO.EFD_OBS_MODE         STBY
8073    # EWO        EWO.EFD_FB_ONOF          OFF
8074    # EWO        EWO.WPT1_BIAS            0x80
8075    # EWO        EWO.WPT2_BIAS            0x80
8076    # EWO        EWO.WPT1_LOOP_GAIN       0x00
8077    # EWO        EWO.WPT2_LOOP_GAIN       0x00
8078    # EWO        EWO.EFD_BIAS_SWP_1       0x00
8079    # EWO        EWO.EFD_BIAS_X1_CNT      0x01
8080    # EWO        EWO.WFC_E_AM2P_SEL       STBY
8081    # EWO        EWO.WFC_E_INP_SEL        DIFF
8082    # EWO        EWO.WFC_E_LPF_STS        FC_20KHZ
8083    # EWO        EWO.WFC_E_PGA_STS        LOW
8084    # EWO        EWO.WFC_B_OBS_STS        STBY
8085    # EWO        EWO.WFC_B_LPF_STS        FC_20KHZ
8086    # EWO        EWO.WFC_B_PGA_STS        LOW
8087    # EWO        EWO.WFC_E_CAL_ATT        OFF
8088    # EWO        EWO.WFC_E_EFD_ICAL       OFF
8089    # EWO        EWO.WFC_B_ICAL           OFF
8090    # EWO        EWO.TEMP_MON_ONOF        ON
8091    # EWO        EWO.AM2P_TC_CNT          0x00
8092    # EWO        EWO.AM2P_TMTRG_CNT       0x00
8093    #
8094    # < Record of the initial vcalues >
8095    #
8096    # QL         Check-Item                 Data                    
8097    # ----------+--------------------------+-----------------------------
8098    # EWO        TI                         _________
8099    # EWO        AM2P ACK COUNT             _________
8100    # EWO        AM2P ACQUI COUNT           _________
8101    # EWO        WFC(E) RANGE OVER          _________
8102    # EWO        WFC(B) RANGE OVER          _________
8103    # EWO        MDP TELEMETRY              _________
8104    # EWO        EWO SRAM OVERFLOW EFD      _________
8105    # EWO        EWO SRAM OVERFLOW WFC(E)   _________
8106    # EWO        EWO SRAM OVERFLOW WFC(B)   _________
8107    # EWO        LATCH UP EFD               _________
8108    # EWO        LATCH UP WFC(E)            _________
8109    # EWO        LATCH UP WFC(B)            _________
8110    # EWO        MDP RING BUF1              _________
8111    # EWO        MDP RING BUF2              _________
8112    # EWO        MDP RING BUF3              _________
8113    # EWO        MDP RING BUF4              _________
8114    # EWO        ERRORS CMD COUNT           _________
8115    # EWO        ERRORS RMAP CRC            _________
8116    # EWO        ERRORS SRAM WFC(E) 1BIT    _________
8117    # EWO        ERRORS SRAM WFC(E) 2BIT    _________
8118    # EWO        ERRORS SRAM WFC(B) 1BIT    _________
8119    # EWO        ERRORS SRAM WFC(B) 2BIT    _________
8120    # EWO   ERRORS FIR COEF TABLE EFD       _________
8121    # EWO   ERRORS FIR COEF TABLE WFC(B)    _________
8122    #
8123    # < Initial HK check of  SORBET >
8124    #
8125    # 
8126    # QL         Check-Item               Spec                      Check
8127    # ----------+------------------------+-------------------------+------
8128    # 
8129    # QL      Check-item                       Spec                   NA
8130    # ----------------------------------------+--------------------
8131    #  SRBT    COMMAND CODE                    0x0000              
8132    #          WPT GAIN                        LOW                 
8133    #          WPT BIAS                        OFF                 
8134    #          WPT CAL                         OFF                 
8135    #          TNR1 OPERATION                  OFF                 
8136    #          TNR1 INP SETUP                  0x0                 
8137    #          TNR2 OPERATION                  OFF                 
8138    #          TNR2 INP SETUP                  0x0                 
8139    #          HFR OPERATION                   OFF                 
8140    #          HFR INP SETUP                   0x0                 
8141    #          HFR VIA TNR1                    0x0                 
8142    #          HFR VIA TNR2                    0x0                 
8143    #          HF1 RANGE                       0x0                 
8144    #          HF2 RANGE                       0x0                 
8145    #          HFR FREQ. STEP                  0x0                 
8146    #          SPACEWIRWE LINK RUNNING         0x1                 
8147    #          SPACEWIRE DISCON. ERROR         NORMAL              
8148    #          CALIBRATION SOURCE SETUP        0x0                 
8149    #          CALIBRATION BAND A              0x0                 
8150    #          CALIBRATION BAND B              0x0                 
8151    #          CALIBRATION BAND C              0x0                 
8152    #          CALIBRATION BAND D              0x0                 
8153    #          CALIBRATION BAND HF1            0x0                 
8154    #          CALIBRATION BAND HF2            0x0                 
8155    #
8156    # QL      Check-item                       Spec     Result      Check(NA)
8157    # ----------------------------------------+--------+-----------+------
8158    #          MEFISTO GAIN                             ________    -----
8159    #          MEFISTO BIAS                             ________    -----
8160    #          MEFISTO CAL                              ________    -----
8161    #          AM2P OPERATION                           ________    -----
8162    #
8163    # ============================================
8164    # 5.2 Setting of the nominal observation mode 
8165    # ============================================
8166    #
8167    DH.MC_EACH_EXE 0x00D3
8168    # EWO.WFCE_OBS_START
8169    # EWO.WFCB_OBS_START
8170    # EWO.EFD_OBS_START
8171    # SORB.OBS_SEQ
8172    # MD2U.BUF_CLCT 0x10 0x01
8173    #
8174    #
8175    # ++++++++++++++++++++++++++++++++++++
8176    WAIT_SEC 60                   
8177    # ++++++++++++++++++++++++++++++++++++
8178    #
8179    # QL        Check-item              Spec                        Check(NA)
8180    #----------+-----------------------+---------------------------+------
8181    # EWO       EFD OBS MODE            OBS                         
8182    # EWO       WFC(E) OBS MODE         WFC_OBS                     
8183    # EWO       WFC(B) OBS MODE         OBS                         
8184    # MD2F      MS3_DAT_CLCT            ON                          
8185    # EWO       MDP TELEMETRY           ENA                         
8186    #
8187    MD2U.EWO_WFCE_FREQ_SEL 0x01
8188    #
8189    # ++++++++++++++++++++++++++++++++++++
8190    WAIT_SEC 40                   
8191    # ++++++++++++++++++++++++++++++++++++
8192    #
8193    # QL      Check-item            Spec                            Check(NA)
8194    #----------+-------------------+-------------------------------+------
8195    # EWO       WFC(E) LPF FREQ     FC_120KHZ                       
8196    #
8197    #
8198    # <EFD Mode (M:full-component  L:full-component)>
8199    MD2U.EWO_EFD_MODE 0xFF 0xFF
8200    WAIT_SEC 40                   
8201    # ++++++++++++++++++++++++++++++++++++
8202    WAIT_SEC 40                   
8203    # ++++++++++++++++++++++++++++++++++++
8204    #
8205    #
8206    # ============================================
8207    # 5.3 Turn on the MEFISTO
8208    # ============================================
8209    #
8210    DH.PWI2_ON # DH.MC_EACH_EXE 0x008A
8211    # MD2F.PME_MEFISTO_ON
8212    # MD2F.DPU_SW_ERR_CLR
8213    #
8214    #
8215    # ++++++++++++++++++++++++++++++++++++
8216    WAIT_SEC 40                   
8217    # ++++++++++++++++++++++++++++++++++++
8218    #
8219    # QL         Check-Item               Spec                      Check
8220    # ----------+------------------------+-------------------------+------
8221    # MD2F_OBS   MD2F.PME_MEFISTO_STS     ON                         G  N
8222    # MD2F_OBS   MD2F.MS4_LINK_STAT       ON                         G  N
8223    # MD2F_OBS   MD2F.MS4_LINK_ERR        na                         G  N
8224    #
8225    # Automatic shutdown when MDP finds |HV|>110V
8226    MD2U.MEF_HV_CNTL_ENA 0x28 0xFF 0x00 0x90
8227    #
8228    #
8229    # ++++++++++++++++++++++++++++++++++++
8230    WAIT_SEC 40                   
8231    # ++++++++++++++++++++++++++++++++++++
8232    #
8233    # QL          Check-Item               Spec                      RESULT
8234    # -----------+------------------------+-------------------------+------
8235    # MEFISTO     U_HV_CNTL_CHK            ENA                        N/A
8236    # MEFISTO     U_HV_CNTL_DET            NON                        N/A
8237    # MEFISTO     U_HV_CNTL_PARA_NL        0x28(-110V)                N/A
8238    # MEFISTO     U_HV_CNTL_PARA_NU        0xFF                       N/A
8239    # MEFISTO     U_HV_CNTL_PARA_PL        0x00                       N/A
8240    # MEFISTO     U_HV_CNTL_PARA_PU        0x90(+110V)                N/A
8241    #
8242    # =====================================================
8243    # 5.4 Initialization of the MEFISTO (Turning on the HV)
8244    # =====================================================
8245    DH.MC_EACH_EXE 0x00D2
8246    # MEFI.INIT_A
8247    # DH.DUMMY
8248    # MEFI.INIT_A
8249    # DH.DUMMY
8250    # MEFI.INIT_B
8251    # DH.DUMMY
8252    # MEFI.INIT_C
8253    #
8254    #
8255    # ++++++++++++++++++++++++++++++++++++
8256    WAIT_SEC 120                   
8257    # ++++++++++++++++++++++++++++++++++++
8258    #
8259    # QL          Check-Item               Spec                      Check
8260    # -----------+------------------------+----------------------+---------
8261    # MEFISTO     BDAC1                    0x8000                   
8262    # MEFISTO     BDAC2                    0x8000                   
8263    # MEFISTO     SDAC1                    0x8000                   
8264    # MEFISTO     SDAC2                    0x8000                   
8265    # MEFISTO     ADC_HV_NEG               < |145|                  
8266    # MEFISTO     ADC_HV_POS               < |145|                  
8267    # -----------+------------------------+----------------------+---------
8268    #
8269    # =====================================================
8270    # MEFISTO TURN FREQUNCY CHECK
8271    # =====================================================
8272    # Read Mefisto HK every 8 second
8273    # Switch off high voltage
0000    ####
7021    MD2U.HK_SET 0xFF 0x03
0000    WAIT_SEC 4
0000    ####
8274    MEFI.SET_RELAY 0x00 0x00
8275    WAIT_SEC 10                   
8276    # Enable turn sensor (Note that motor is unarmed)
8277    MEFI.DEPLOY 0x00 0x00 0x02 0x5A
8278    WAIT_SEC 65  
0000    ####
7036    MD2U.HK_SET 0xFF 0x07                 
0000    WAIT_SEC 4
0000    ####
8279    # 
8280    # ==========================================================================
8281    #  5.5 PWI Function check (ALL ON)
8282    # ==========================================================================
8283    #  5.5.1 Sensor CAL
8284    # ==========================================================================
8285    #
8286    MD2U.EWO_WFCE_GAIN_SET 0x01
8287    #
8288    #
8289    # ++++++++++++++++++++++++++++++++++++
8290    WAIT_SEC 40                   
8291    # ++++++++++++++++++++++++++++++++++++
8292    #
8293    # QL      Check-item                              spec       Check
8294    # --------------------------------------------------------------------
8295    # EWO     WFC(E) GAIN                              LOW          N/A
8296    #
8297    EWO.WFCB_PGA_L_SEL
8298    #
8299    #
8300    # ++++++++++++++++++++++++++++++++++++
8301    WAIT_SEC 40                   
8302    # ++++++++++++++++++++++++++++++++++++
8303    #
8304    # QL      Check-item                               spec       Check
8305    # --------------------------------------------------------------------
8306    # EWO     WFC(B) GAIN                              LOW         N/A
8307    #
8308    EWO.CAL_ATT_20_SEL
8309    #
8310    #
8311    # ++++++++++++++++++++++++++++++++++++
8312    WAIT_SEC 40                   
8313    # ++++++++++++++++++++++++++++++++++++
8314    #
8315    # QL      Check-item                              spec       Check
8316    # --------------------------------------------------------------------
8317    # EWO     CALIBRATION EWO(E) ATT                  LVL_20DB      N/A
8318    #
8319    EWO.WPTP_AC_CAL_SEL
8320    #
8321    #
8322    # ++++++++++++++++++++++++++++++++++++
8323    WAIT_SEC 40                   
8324    # ++++++++++++++++++++++++++++++++++++
8325    #
8326    # QL      Check-item                              spec       Check
8327    # --------------------------------------------------------------------
8328    # EWO     WPT PREAMP CAL/IMP                        R1K         N/A
8329    #
8330    #
8331    # ++++++++++++++++++++++++++++++++++++
8332    WAIT_SEC 40                   
8333    # ++++++++++++++++++++++++++++++++++++
8334    #
8335    MD2U.EWO_WFCE_INP_SEL 0x02
8336    WAIT_SEC 2                   
8337    #
8338    # QL      Check-item                               spec         判定
8339    # --------------------------------------------------------------------
8340    # EWO     WFC(E) INP MODE                          WPT_MONO      N/A
8341    #
8342    EWO.WPTP_LGAIN_SEL
8343    WAIT_SEC 2                   
8344    #
8345    # QL      Check-item                               spec       Check
8346    # --------------------------------------------------------------------
8347    # EWO     WPT PREAMP GAIN                          LOW          N/A
8348    #
8349    #
8350    EWO.SCAL_ALL_ON
8351    #
8352    #
8353    # ++++++++++++++++++++++++++++++++++++
8354    WAIT_SEC 40                   
8355    # ++++++++++++++++++++++++++++++++++++
8356    #
8357    # QL      Check-item                              spec       Check
8358    # --------------------------------------------------------------------
8359    # EWO     WPT PREAMP CAL SW                        ON           N/A
8360    # EWO     SEARCH COIL PREAMP CAL SW                ON           N/A
8361    #
8362    #
8363    MD2U.EWO_AM2P_SUSPND 0x01
8364    #
8365    #
8366    # ++++++++++++++++++++++++++++++++++++
8367    WAIT_SEC 40                   
8368    # ++++++++++++++++++++++++++++++++++++
8369    #
8370    # QL      Check-item                              spec       Check
8371    # --------------------------------------------------------------------
8372    # EWO     AM2P STAGE                               SPD         N/A
8373    #
8374    #
8375    MD2U.EWO_WFC_CAL_ON 0x0074 0x07
8376    #
8377    WAIT_SEC 120                   
8378    #
8379    # QL      Check-item                              spec       Check
8380    # --------------------------------------------------------------------
8381    # EWO     CALIBRATION STAGE                     increment       N/A
8382    # EWO     AM2P TC WORD COUNT                     increment       N/A
8383    # EWO     AM2P ACK COUNT                        increment       N/A
8384    # EWO     AM2P TM TRG COUNT                     increment       N/A
8385    # EWO     AM2P ACQUI COUNT                      increment       N/A
8386    # EWO     TC  WORD                               0x0074       N/A
8387    #
8388    #
8389    #
8390    MD2U.EWO_AM2P_SUSPND 0x00
8391    #
8392    # ++++++++++++++++++++++++++++++++++++
8393    WAIT_SEC 40                   
8394    # ++++++++++++++++++++++++++++++++++++
8395    #
8396    # QL      Check-item                              spec       Check
8397    # --------------------------------------------------------------------
8398    # EWO     AM2P STAGE                               RUN         N/A
8399    #
8400    #
8401    #
8402    MD2U.EWO_AM2P_INT_SET 0x0000 0x00
8403    #
8404    #
8405    # ++++++++++++++++++++++++++++++++++++
8406    WAIT_SEC 40                   
8407    # ++++++++++++++++++++++++++++++++++++
8408    #
8409    #
8410    EWO.SCAL_ALL_OFF
8411    #
8412    # ++++++++++++++++++++++++++++++++++++
8413    WAIT_SEC 40                   
8414    # ++++++++++++++++++++++++++++++++++++
8415    #
8416    # QL      Check-item                              spec       Check
8417    # --------------------------------------------------------------------
8418    # EWO     WPT PREAMP CAL SW                        OFF           N/A
8419    # EWO     SEARCH COIL PREAMP CAL SW                OFF           N/A
8420    #
8421    EWO.CAL_ATT_OPEN
8422    #
8423    #
8424    # ++++++++++++++++++++++++++++++++++++
8425    WAIT_SEC 40                   
8426    # ++++++++++++++++++++++++++++++++++++
8427    #
8428    # QL      Check-item                              spec       Check
8429    # --------------------------------------------------------------------
8430    # EWO     CALIBRATION EWO(E) ATT                   OFF         N/A
8431    #
8432    #
8433    MD2U.EWO_WFCE_INP_SEL 0x04
8434    #
8435    #
8436    # ++++++++++++++++++++++++++++++++++++
8437    WAIT_SEC 40                   
8438    # ++++++++++++++++++++++++++++++++++++
8439    #
8440    # QL      Check-item                               spec         判定
8441    # --------------------------------------------------------------------
8442    # EWO     WFC(E) INP MODE                              DIFF      N/A
8443    # 
8444    #
8445    # ==========================================================================
8446    #  5.5.2 EFD Bias Sweep
8447    # ==========================================================================
8448    # <setup & CAL-flag set>
8449    EWO.EFD_BIAS_OFF
8450    WAIT_SEC 8                   
8451    #
8452    EWO.EFD_BS_PH_SET 0x0200
8453    WAIT_SEC 8                   
8454    #
8455    MD2U.EWO_EFD_SWPTBL_LOAD 0x10
8456    WAIT_SEC 8                   
8457    #
8458    #
8459    # <SWEEP with WPT-P = BIAS>
8460    EWO.WPTP_BIAS_SEL
8461    WAIT_SEC 8                   
8462    #
8463    EWO.EFD_BIAS1_SWEEP
8464    WAIT_SEC 40                   
8465    #
8466    EWO.EFD_BIAS2_SWEEP
8467    WAIT_SEC 40                   
8468    # 
8469    EWO.EFD_BIAS1_SWEEP
8470    WAIT_SEC 40                   
8471    #
8472    EWO.EFD_BIAS2_SWEEP
8473    WAIT_SEC 40                   
8474    #
8475    #
8476    # <SWEEP with WPT-P = CAL>
8477    EWO.WPTP_DC_CAL_SEL
8478    WAIT_SEC 8                   
8479    #
8480    EWO.EFD_BIAS1_SWEEP
8481    WAIT_SEC 40                   
8482    #
8483    EWO.EFD_BIAS2_SWEEP
8484    WAIT_SEC 40                   
8485    #
8486    EWO.EFD_BIAS1_SWEEP
8487    WAIT_SEC 40                   
8488    #
8489    EWO.EFD_BIAS2_SWEEP
8490    WAIT_SEC 40                   
8491    #
8492    #
8493    # <close & CAL-flag down>
8494    MD2U.EWO_EFD_SWPTBL_LOAD 0xFF
8495    WAIT_SEC 8                   
8496    #
8497    EWO.WPTP_BIAS_SEL
8498    WAIT_SEC 8                   
8499    #
8500    EWO.EFD_BIAS_OFF
8501    WAIT_SEC 8                   
8502    #
8503    #
8504    # ==========================================================================
8505    #  5.5.3 AM2P Wire mode
8506    # ==========================================================================
8507    #
8508    #
8509    DH.PWI_AM2P_DOUB_WR_MODE_HF # DH.MC_EACH_EXE 0x00DB
8510    #:   << MACRO >> Contents are below
8511    #:   0x00 MD2U.EWO_AM2P_FREQ_PRST 0x01
8512    #:   0x01 MD2U.EWO_AM2P_INP_PRST 0x01
8513    #:   0x02 MD2U.EWO_AM2P_MEF_MODE_PRST 0x212a
8514    #:   0x03 MD2U.EWO_AM2P_MEF_BIAS1_SET 0x800080
8515    #:   0x04 MD2U.EWO_AM2P_MEF_BIAS2_SET 0x800080
8516    #:   0x05 MD2U.EWO_AM2P_TC_SET 0x7004 0x07
8517    #
8518    #
8519    # ++++++++++++++++++++++++++++++++++++
8520    WAIT_SEC 60                   
8521    # ++++++++++++++++++++++++++++++++++++
8522    #
8523    MD2U.EWO_AM2P_WPTP_GAIN_PRST 0x00
8524    #
8525    # ++++++++++++++++++++++++++++++++++++
8526    WAIT_SEC 40                   
8527    # ++++++++++++++++++++++++++++++++++++
8528    #
8529    MD2U.EWO_AM2P_EWOE_GAIN_PRST 0x01
8530    #
8531    # ++++++++++++++++++++++++++++++++++++
8532    WAIT_SEC 40                   
8533    # ++++++++++++++++++++++++++++++++++++
8534    #
8535    MD2U.EWO_AM2P_INT_SET 0xFFFF 0x01
8536    #
8537    # ++++++++++++++++++++++++++++++++++++
8538    WAIT_SEC 120                   
8539    # ++++++++++++++++++++++++++++++++++++
8540    #
8541    MD2U.EWO_AM2P_INT_SET 0xFFFF 0x01
8542    #
8543    # ++++++++++++++++++++++++++++++++++++
8544    WAIT_SEC 120                   
8545    # ++++++++++++++++++++++++++++++++++++
8546    #
8547    #
8548    #
8549    # ==========================================================================
8550    #  5.5.4 SORBET Function test
8551    # ==========================================================================
8552    #
8553    SORB.CAL_SEQ 
8554    #
8555    # QL      Check-item                               spec      Check
8556    # --------------------------------------------------------------------
8557    #  SRBT    COMMAND CODE           0x6CEF/0x705F/0x970F/0x9730  N/A
8558    #          COMMAND COUNTER                          Increment  N/A
8559    #          TNR1 OPERATION                           ON/OFF     N/A
8560    #          TNR1 INP SETUP                   0x0/0x3/0x4/0x5    N/A
8561    #          TNR2 OPERATION                           ON         N/A
8562    #          TNR2 INP SETUP                   0x0/0x3/0x4/0x5    N/A
8563    #          HFR OPERATION                            ON         N/A
8564    #          HFR INP SETUP                            0x0/0x3    N/A
8565    #          HFR VIA TNR1                             0x0/0x1    N/A
8566    #          HFR VIA TNR2                             0x0/0x1    N/A
8567    #          HF1 RANGE                                0x0/0x1    N/A
8568    #          HF2 RANGE                                0x0/0x1    N/A
8569    #          HFR FREQ. STEP                           Increment  N/A
8570    #          CALIBRATION SOURCE SETUP           0x0/0x3/0x7/0x9  N/A
8571    #          CALIBRATION HF1                          0x0/0x1    N/A
8572    #          CALIBRATION HF2                          0x0/0x1    N/A
8573    #
8574    #
8575    # ++++++++++++++++++++++++++++++++++++
8576    WAIT_SEC 300                   
8577    # ++++++++++++++++++++++++++++++++++++
8578    #
8579    #
8580    #
8581    #  <Observation Sequence>
8582    SORB.OBS_SEQ
8583    #
8584    #
8585    # QL      Check-Item                               Spec      Check
8586    # --------------------------------------------------------------------
8587    #  SRBT    COMMAND CODE                      0X518F/0x53BF     N/A
8588    #          COMMAND COUNTER                          Increment  N/A
8589    #          TNR1 OPERATION                           ON         N/A
8590    #          TNR1 INP SETUP                           0x1        N/A
8591    #          TNR2 OPERATION                           ON         N/A
8592    #          TNR2 INP SETUP                   0X2/0x3/0x4        N/A
8593    #          HFR OPERATION                       ON<->OFF        N/A
8594    #          HFR INP SETUP                        0x0/0x1        N/A
8595    #          HFR VIA TNR1                             0x0        N/A
8596    #          HFR VIA TNR2                       0x0<->0x1        N/A
8597    #          HF1 RANGE                                0x0        N/A
8598    #          HF2 RANGE                          0x0<->0x1        N/A
8599    #          HFR FREQ. STEP                     Increment        N/A
8600    #
8601    #
8602    # ++++++++++++++++++++++++++++++++++++
8603    WAIT_SEC 40                   
8604    # ++++++++++++++++++++++++++++++++++++
8605    #
8606    #
8607    # ==========================================================================
8608    #  5.6 PWI shutdown
8609    # ==========================================================================
8610    #
8611    DH.PWI_OFF1_AM2P_MEF_PRE # DH.MC_EACH_EXE 0x008B
8612    #:   << MACRO >> Contents below
8613    #:   0x00 MD2U.EWO_AM2P_INT_SET 0x0000 0x00
8614    #:   0x0D MD2F.PME_MEFISTO_OFF
8615    #:   0x0E EWO.SCP_OFF
8616    #:   0x0F EWO.WPTP_OFF
8617    #
8618    #
8619    # ++++++++++++++++++++++++++++++++++++
8620    WAIT_SEC 60                   
8621    # ++++++++++++++++++++++++++++++++++++
8622    #
8623    # QL         Check-Item               Spec                      Check
8624    # ----------+------------------------+-------------------------+---------
8625    # MD2F_OBS   MD2F.MS4_LINK_STAT       OFF                         
8626    # MD2F_OBS   MD2F.PME_MEFISTO_STS     OFF                         
8627    # EWO        EWO.WPTP_ONOF            OFF                         
8628    # EWO        EWO.SCP_ONOF             OFF                         
8629    #
8630    DH.PWI_OFF2_AM2P_SOR_EWO # DH.MC_EACH_EXE 0x00AD
8631    #:   << MACRO >> 内容について以下に示す(DH.DUMMY は省略)
8632    #:   0x00 MD2F.PME_AM2P_OFF
8633    #:   0x01 MD2F.SORB_CLCT_STOP
8634    #:   0x02 MD2F.PME_SORBET_OFF
8635    #:   0x03 MD2U.BUF_CLCT 0x10 0x00
8636    #:   0x0F MD2F.PME_EWO_OFF
8637    #
8638    #
8639    # ++++++++++++++++++++++++++++++++++++
8640    WAIT_SEC 60                   
8641    # ++++++++++++++++++++++++++++++++++++
8642    #
8643    # QL         Check-Item               Spec　                    Check
8644    # ----------+------------------------+-------------------------+--------
8645    # MD2F_OBS   MD2F.MS1_CLCT_STAT       OFF                         
8646    # MD2F_OBS   MD2F.MS3_CLCT_STAT       OFF                         
8647    # MD2F_OBS   MD2F.MS1_LINK_STAT       OFF                         
8648    # MD2F_OBS   MD2F.MS2_LINK_STAT       OFF                         
8649    # MD2F_OBS   MD2F.MS3_LINK_STAT       OFF                         
8650    # MD2F_OBS   MD2F.PME_SORBET_STS      OFF                         
8651    # MD2F_OBS   MD2F.PME_AM2P_STS        OFF                         
8652    # MD2F_OBS   MD2F.PME_EWO_STS         OFF                         
8653    #
8654    #  DEL 2021.5.13
8655    ####PCD.ON_OFF_ENA
8656    #
8657    # ++++++++++++++++++++++++++++++++++++
8658    ###WAITSEC 60                   
8659    # ++++++++++++++++++++++++++++++++++++
8660    #
8661    # QL         Check-Item               Spec　                     check
8662    # ----------+------------------------+-------------------------+------
8663    # PCS1       <PCD> ON/OFF             ENA                        N/A
8664    #
8665    # 
8666    ######PCD.PSU_PME_OFF
8667    ######WAITSEC 2                   
8668    ######PCD.ON_OFF_DIS
8669    ######WAITSEC 2                   
8670    #
8671    # QL         Check-Item               Spec　                     check
8672    # ----------+------------------------+-------------------------+------
8673    # PCS1       <PCD> PME                OFF                         N/A
8674    # PCS1       <PCD> ON/OFF             DIS                        N/A
8675    #
8676    # ==========================================================================
8677    #  SET MD2U Normal mode【interactive】
8678    # ==========================================================================
8679    #
8680    MD2U.OPE_NRM
8681    WAIT_SEC 40                   
8682    #
8683    #
8684    # QL         Check-Item               Spec　                  Judgment
8685    # ----------+------------------------+-----------------------+--------
8686    # MD2U       *****CHECK by MDP-CORE****
8687    #           U_Tlm_OpeMode             nrm                      N/A
8688    #
8689    EXIT                   
