#!HEAD: dcsm-CRCO_STAT_REQ_CMD_CHECK 2025-03-05 04:05:03 120        45 MMO                  DCSM                //  CRCO 分離前ステータスリクエストコマンド確認(1553B)
8001    # **************************************************************************
8002    # MMO STATUS REQUEST COMMAND CHECK  AND RESET
8003    #
8004    #  source:dcsm-3000-00_SEP_SET
8005    #  2025/2/26  tseki
8005    #  2025/3/14  return HK rate to 16sec at end
8006    # **************************************************************************
8007    #
8008    # dcsm-CRCO_BUS_MONI_ON_ROMUPL_DIS, dcsm-CRCO_CEL_MONI_OFF  の後に実施する
8009    #  疑似IP不要、MDPはOFF
8010    #   MC ENA , MC_EACH_ENA 0x100 (デフォルトENA）
8011    #   ROM UPL DIS   ( 本番はENA, 試験はDIS )
8012    #
8013    # =========================================================
8014    # 1.    1553B TLM MODE6, HK rate 4sec
8015    # =========================================================
8016    #
8017    # MMO Set HK rate to 4 second  (3sec)
8018    # <forMPO>ADMS105E,1,32</forMPO>
8019    WAIT_SEC              240
8020    #
8021    DH.MC_EACH_EXE 0x0032   #TLM Mode6
8022    #:              << MACRO >>
8023    #:              0x00 DH.DMP_PERIOD 0x02
8024    #:              0x02 ACS.ACS_PKT_FMT_1
8025    #:              0x05 DH.OPE_MODE 0x0C 0x26 0x28 0x03 0x00000000000000000000000000
8026    #:              0x06 DH.TLMFMT1553B_CHG 0x06
8027    WAIT_SEC 40
8028    #
8029    # < CHECK >
8030    # # TLM_MODE_6 Check
8031    CHECK DH.DMP_PERIOD                         =SEC_4
8032    CHECK DH.CATEGORY_TBL_NO                    0x28
8033    CHECK DH.DWNLNK_RATE                        =BPS16384
8034    CHECK DH.TLM1553BFMTNO                      0x06
8035    #
8036    # # 分離スイッチステータスの確認
8037    CHECK DH.SEP_STATUS1                        =NO_SEP
8038    CHECK DH.SEP_STATUS2                        =NO_SEP
8039    CHECK DH.SEP_STATUS3                        =NO_SEP
8040    #
8041    # # MGA展開ステータスの確認
8042    CHECK DH.MGA_A_DEP_STW                      =STOWED
8043    #
8044    # # 分離ステータスOKNG状態の確認   (1=ENA, 0=DIS)
8045    CHECK DH.SEPSTS_ENADIS                       =DIS
8046    #
8047    # CHECK MPO TELEMETRY
8048    #   NCLD0212 = "No status" or "fails for sep"
8049    #
8050    # =========================================================
8051    # 2.    STATUS REQUEST
8052    #
8053    #  ZJX00001 MMO Separation Status Check request
8054    #    ->  DH.MC_EACH_EXE 0x0100  # 訓練用：フライトでは送信しない
8055    #:              << MACRO >> 内容について以下に示す(DH.DUMMYは省略)
8056    #:              0x00 DH.ATMC_EACH_ENA 0x06 : WAIT 1
8057    #
8058    # <forMPO>ZJX00001</forMPO>
8059    #
8060    # =========================================================
8061    WAIT_SEC 40
8062    #
8063    # < CHECK >
8064    CHECK DH.ATMC_EXE_NO                        0x07
8065    CHECK DH.ATMC_ENA_DIS02                     =ENA
8066    CHECK DH.ATMC_ENA_DIS03                     =ENA
8067    CHECK DH.ATMC_ENA_DIS00                     =ENA
8068    CHECK DH.SYSTMR_ENA_DIS4                    =ENA
8069    #
8070    # < CHECK >
8071    CHECK DH.CMD_REJ_CNT                        0
8072    #
8073    # # 分離ステータスOKNG状態の確認   (1=ENA, 0=DIS)
8074    CHECK DH.SEPSTS_ENADIS                       =ENA
8075    #
8076    # CHECK MPO TELEMETRY
8077    #    NCLD0212 = "Ready for sep"
8078    #
8079    WAIT_SEC 60
8080    #
8081    # =========================================================
8082    # 3.  DISABLE SEP SEQUENCE AND RESET
8083    #
8084    # ZJX00003 MMO Post Separation Sequence disable
8085    #    ->  DH.MC_EACH_EXE 0x00F
8086    #:              << MACRO >> 内容について以下に示す(DH.DUMMYは省略)
8087    #:              0x00 DH.ATMC_EACH_DIS 0x02
8088    #:              0x01 DH.SEPSTS_1553B_NG
8089    #:              0x03 DH.ATMC_EACH_DIS 0x03
8090    #:              0x06 DH.SYSTMR_EACH_DIS 0x04
8091    #:              0x09 DH.ATMC_EACH_DIS 0x04
8092    #:              0x0C DH.ATMC_EACH_DIS 0x00
8093    #:              0x0F DH.ATMC_EACH_DIS 0x06
8094    #
8095    # <forMPO>ZJX00003</forMPO>
8096    #
8097    # =========================================================
8098    #
8099    WAIT_SEC 120
8100    #
8101    # < CHECK >
8102    CHECK DH.ATMC_ENA_DIS02                     =DIS
8103    CHECK DH.ATMC_ENA_DIS03                     =DIS
8104    CHECK DH.ATMC_ENA_DIS04                     =DIS
8105    CHECK DH.ATMC_ENA_DIS00                     =DIS
8106    CHECK DH.ATMC_ENA_DIS06                     =DIS
8107    CHECK DH.SYSTMR_ENA_DIS4                   =DIS
8108    #
8109    # < CHECK >
8110    CHECK DH.CMD_REJ_CNT                        0
8111    #
8112    # # 分離ステータスOKNG状態の確認   (1=ENA, 0=DIS)
8113    CHECK DH.SEPSTS_ENADIS                       =DIS
8114    #
8115    # CHECK MPO TELEMETRY
8116    #    NCLD0212 = "fails for sep"
8117    #
0026    # MMO Set HK rate to 16 second  (3sec)
0027    # <forMPO>ADMS105E,1,128</forMPO>
0028    WAIT_SEC              200
8118    # --------------------------------------------------------------------------
8119  . # END
8120    # --------------------------------------------------------------------------